import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';
import PagesMainCompanyDepartmentTable from '@/components/Render/Main/Company/Department/table'
import PagesMainCompanyDepartmentCreate from '@/components/Render/Main/Company/Department/create'

const CompanyDepartmentPage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainCompanyDepartmentTable getId={getId}></PagesMainCompanyDepartmentTable>
                <PagesMainCompanyDepartmentCreate id={id}></PagesMainCompanyDepartmentCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(CompanyDepartmentPage);

